Subject: Re: [PATCH 21/30] repository: Implement extensions.compatObjectFormat

From: Eric Biederman <[email-masked]>
Date: Thu, 28 Sep 2023 19:50:56 -0500

On September 28, 2023 3:18:46 PM CDT, Junio C Hamano <[email-masked]> wrote:
>Junio C Hamano <[email-masked]> writes:
>
>> "Eric W. Biederman" <[email-masked]> writes:
>>
>>> diff --git a/setup.c b/setup.c
>>> index deb5a33fe9e1..87b40472dbc5 100644
>>> --- a/setup.c
>>> +++ b/setup.c
>>> @@ -598,6 +598,25 @@ static enum extension_result handle_extension(const char *var,
>>>  		}
>>
>> This line in the pre-context needed fuzzing, but otherwise the
>> series applied cleanly on top of v2.42.0.
>>
>>> Subject: Re: [PATCH 21/30] repository: Implement extensions.compatObjectFormat
>>
>> "Implement" -> "implement" (many other patches share the same
>> problem, none of which I fixed while queueing).
>
>
>The topic when merged near the tip of 'seen' seems to break a few CI
>jobs here and there.  The log from the broken run can be seen at
>
>    https://github.com/git/git/actions/runs/6331978214
>
>You may have to log-in there before you can view the details.

Thanks.

It might take me a couple of days before I can dig into this, but I will dig in and see if I can understand and fix the build failures.

With any luck it will be something simple like forgetting that {} != {0}.

Eric